Advisory Details

April 16th, 2020

Foxit PhantomPDF SetFieldValue Type Confusion Remote Code Execution Vulnerability

ZDI-20-519
ZDI-CAN-9945

CVE ID CVE-2020-10912
CVSS SCORE 7.8, (AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H)
AFFECTED VENDORS Foxit
AFFECTED PRODUCTS PhantomPDF
VULNERABILITY DETAILS

This vulnerability allows remote attackers to execute arbitrary code on affected installations of Foxit PhantomPDF. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists within the handling of the SetFieldValue command of the communication API. The issue results from the lack of proper validation of user-supplied data, which can result in a type confusion condition. An attacker can leverage this vulnerability to execute code in the context of the current process.

ADDITIONAL DETAILS Foxit has issued an update to correct this vulnerability. More details can be found at:
https://www.foxitsoftware.com/support/security-bulletins.php
DISCLOSURE TIMELINE
  • 2019-12-27 - Vulnerability reported to vendor
  • 2020-04-16 - Coordinated public release of advisory
CREDIT Mat Powell of Trend Micro Zero Day Initiative
BACK TO ADVISORIES